YAZ Funktionen
YP/NIS
YAZ Funktionen
PHP Manual

# yaz_wait

(PHP 4 >= 4.0.1, PECL yaz:0.9-1.0.9)

yaz_wait — Wait for Z39.50 requests to complete

### Beschreibung

mixed yaz_wait ([ array `&$options` ] )

This function carries out networked (blocked) activity for outstanding requests which have been prepared by the functions yaz_connect(), yaz_search(), yaz_present(), yaz_scan() and yaz_itemorder().

yaz_wait() returns when all servers have either completed all requests or aborted (in case of errors).

### Parameter-Liste

`options`

  An associative array of options:

  timeout

    Sets timeout in seconds. If a server has not responded within the timeout it is considered dead and yaz_wait() returns. The default value for timeout is 15 seconds.

  event

    A boolean.

### Rückgabewerte

Gibt bei Erfolg `TRUE` zurück, im Fehlerfall `FALSE`. In event mode, returns resource or `FALSE` in case of an error.

YAZ Funktionen
YP/NIS
YAZ Funktionen
PHP Manual